from __future__ import annotations

from datadog_api_client.model_utils import (
    cached_property,
)


class ServiceDefinitionV2LinkType(ModelSimple):
    """
    Link type.
    """
    allowed_values = {
        "doc",
        "wiki",
        "dashboard",
        "link",
    }
    RUNBOOK: ClassVar["ServiceDefinition#V2LinkType"]