class TestClipWithSingleRectangleGdf:
    def mask(self, mask_fixture_name, request):
        return request.getfixturevalue(mask_fixture_name)

    def test_returns_gdf(self, point_gdf, mask):
        assert isinstance(out, GeoDataFrame)
    def test_returns_series(self, point_gdf, mask):
        np.array([[2, 2], [3, 4], [9, 8]])
        exp = GeoDataFrame(
        )
        assert_geodataframe_equal(clip_pts, exp)
    def test_clip_points_geom_col_rename(self, point_gdf, mask):
        GeoDataFrame(
            [Point(xy) for xy in pts],
            crs="EPSG:3857",
            geometry="geometry2",
        )
    def test_clip_poly(self, buffered_locations, mask):
        assert len(clipped_poly.geometry) == 3
    def test_clip_poly_geom_col_rename(self, buffered_locations, mask):
        """Test clipping a polygon GDF with a generic polygon geometry."""
        poly_gdf_geom_col_rename = buffered_locations.rename_geometry("geometry2")
        clipped_poly = clip(poly_gdf_geom_col_rename, mask)
        assert "geometry2" in clipped_poly
        """Test a multi poly object where the return includes a sliver.
        Also the bounds of the object should == the bounds of the clip object
        """
        clipped = clip(multi_poly_gdf, mask, keep_geom_type=True)
        assert (clipped.geom_type.isin(["Polygon", "MultiPolygon"])).all()
        """Test that clipping a multiline feature with a poly returns expected
        """
        clipped = clip(multi_line, mask)
        """Clipping a multipoint feature with a polygon works as expected.
        """
        clipped_mutltipoint = MultiPoint(
            [
                Point(2, 2),
            ],
        )
        assert clipped.iloc[0].geometry.wkt == clipped_mutltipoint.wkt
        shape_for_points = (
            box(*mask) if _mask_is_list_like_rectangle(mask) else mask.unary_union
        )
        assert all(clipped.intersects(shape_for_points))

        clip_line = clip(two_line_gdf, mask)
        assert len(clip_line.geometry) == 2
        clipped = clip(mixed_gdf, mask)
        assert (
            clipped.geom_type[0] == "Point"
            and clipped.geom_type[1] == "Polygon"
        )
