class GrayScaleObservation(gym.ObservationWrapper):
    """Convert the image observation from RGB to gray scale."""

    def __init__(self, env: gym.Env, keep_dim: bool = False) -> None:
        """Convert the image observation from RGB to gray scale."""
        assert (
            isinstance(self.observation_space, Box)
            and self.observation_space.shape[-1] == 3
        )
