def _import_typeinfo(typeinfo):
    try:
        __import__('_typeinfo_' + typeinfo, globals(), level=1)
    except ImportError:
        pass
    from ._typeinfos import typeinfos
    for typeinfo in typeinfos:
        _import_typeinfo(typeinfo)
try:
    settings = importlib.import_module('.pyVmomiSettings', 'pyVmomi')
except ImportError:
    settings = None

_allowCapitalizedNames = \
    getattr(settings, 'allowCapitalizedNames', True)
_legacyThumbprintException = \
    getattr(settings, 'legacyThumbprintException', False)
from . import Feature  # noqa: E402