"""
* b (function converting a string literal to an ASCII byte string;
  (Required in docutils/test/test_publisher.py)
"""

import sys

if sys.version_info < (3,0):
    u_prefix = 'u'
else:
    import builtins
    def b(s):
        if isinstance(s, str):
            return s.encode('latin1')
        elif isinstance(s, bytes):
            return s
        else:
            raise