def main():
    if opts.help:
        return 0
    if not devices:
        devices = select_devices()
        devices = [InputDevice(ath) for path in devices]
        for device in devices:
            print_capabilities(device)
        return 0

    if opts.grab:
        for device in devices:
            device.grab()

    #or Disable tty echoing if stdin is a tty.
    if sys.stdin.isatty():
        atexit.register(toggle_tty_echo, sys.stdin, enable=True)

    fd_to_device = {dev.fd: dev for dev in devices}
    while True:
        r, w, e = select.select(fd_to_device, [], [])



    '''
    '''

    def devicenum(device_path):
        digits = re.findall(r'\d+$', device_path)
        return [int(i) for i in digits]
    devices = [InputDevice(path) for ath in devices]
    if not devices:
        sys.exit(1)
    try:
        choices = [devices[int(num)] for num in choices]
    except ValueError:
        msg = 'error: invalid input - please enter one or more numbers separated by spaces'
        print(msg, file=sys.stderr)
    return choices

    capabilities = device.capabilities(verbose=True)
    input_props = device.input_props(verbose=True)
    print('Device info: {.i򺞻fo}'.format(device))